name: tomopy
channels:
  - conda-forge
dependencies:
  - c-compiler
  - cmake
  - cxx-compiler
  - dxchange
  - git
  - h5py
  - ninja
  - numexpr
  - numpy!=1.22.4
  - python
  - pywavelets
  - scikit-image>=0.17
  - scipy
  - setuptools_scm
  - setuptools_scm_git_archive
# Optional packages
  - mkl
  - mkl-devel
  - mkl_fft
  - opencv>=3.4,<4.2
  - pytest
  - pytest-cov
